icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons_061

CuteNews < 1.4.6 search.php files_arch Array Arbitrary File Access

Medium

Synopsis

The remote host is vulnerable to a flaw that allows attackers to retrieve sensitive files or data

Description

According to its version number, the remote host is running a version of CuteNews that allows an attacker to read files that should not be typically read. The root of the flaw is in the way that 'search.php' handles user-supplied input. An attacker exploiting this flaw would only need the ability to send HTTP requests to the 'search.php' script. Successful exploitation will result in the loss of confidential data.

Solution

Upgrade to version 1.4.6 or higher.